# Events

## Projects

The following events are available to subscribe to on projects.

| Event                       | Description                                                                                                                                                                                                                                                                         |
| --------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `project_in_progress`       | Triggered when a project has launched and is made available to be claimed by an author. This event turns out to be useful when project are launched asynchronously. Launch process can safely be retried if this event is not received in a reasonable time (more than 30 minutes). |
| `project_finalized`         | Triggered when a project is finalized, meaning that all documents have been attached to it and translation memory analysis and/or PEMT have been ran successfully.                                                                                                                  |
| `project_not_launched`      | Triggered when project with `auto_launch` option cannot be launched, often due to the client account not having enough credits on its wallet.                                                                                                                                       |
| `project_canceled`          | Triggered when a project is canceled.                                                                                                                                                                                                                                               |
| `project_tm_completed`      | Triggered when a project's translation memory analysis has successfully completed and project's cost has been updated accordingly.                                                                                                                                                  |
| `project_tm_diff_completed` | Triggered when a project's translation "Force Exact Matches" analysis has successfully completed and project's cost has been updated accordingly.                                                                                                                                   |
| `project_in_review`         | Triggered when the work for all project's documents has been submitted, and the documents are ready for internal quality control or for review by the client.                                                                                                                       |

## Documents

The following status change events are available on documents:

* `waiting_assignment`
* `in_progress`
* `in_review`
* `incomplete`
* `completed`
* `paused`
* `canceled`
* `quality_control`
* `copyscape`
* `counting_words`

See the following page for more informations about status change events:

{% content-ref url="/pages/n3yb0iOme9I20Uq0w94A" %}
[Workflow](/overview/workflow.md)
{% endcontent-ref %}

In addition, the following events are also available on documents.

| Event                     | Description                                                                           |
| ------------------------- | ------------------------------------------------------------------------------------- |
| `word_count_finished`     | Triggered when a the task of counting words on a document has successfully completed. |
| `support_message_created` | Triggered when a new message has been created on a document's support thread.         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.textmaster.com/webhooks-and-events/events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
